Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.sbml._test
Class SbmlTestSimulationEngineAdapter

    java.lang.Object
      biouml.plugins.sbml._test.SbmlTestSimulationEngineAdapter

public class SbmlTestSimulationEngineAdapter
extends java.lang.Object

Batch unit test for biouml.model package.

Constructor Summary
`SbmlTestSimulationEngineAdapter()`

Method Summary
`static boolean` | `almostEqual(double a, double b)`
`void` | `compareResults(java.lang.String testDirectory, java.lang.String testName, TestLogger logger)`
`static java.lang.String` | `getMangledName(java.lang.String name)`
`static java.util.Map` | `getMangledNamesMap(java.util.Map variableMap)`
`protected double` | `getVarInitialValue(java.lang.String varName)`
`SimulationResult` | `prepareValues(java.lang.String[] requiredVariables, EModel model, java.util.Map mangledMap, TestLogger logger)`
`void` | `processTest(SimulationEngine engine, java.lang.String testDirectory, java.lang.String testName, java.lang.String sbmlLevel, TestLogger logger)`
`void` | `readSimulationParameters(SimulationEngine engine, java.lang.String testDirectory, java.lang.String testName)`
`static boolean` | `significantlyDiffer(double a, double b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SbmlTestSimulationEngineAdapter

    public SbmlTestSimulationEngineAdapter()

Method Detail

### processTest

    public void processTest(SimulationEngine engine,
                            java.lang.String testDirectory,
                            java.lang.String testName,
                            java.lang.String sbmlLevel,
                            TestLogger logger)

### readSimulationParameters

    public void readSimulationParameters(SimulationEngine engine,
                                         java.lang.String testDirectory,
                                         java.lang.String testName)
                                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### compareResults

    public void compareResults(java.lang.String testDirectory,
                               java.lang.String testName,
                               TestLogger logger)
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### prepareValues

    public SimulationResult prepareValues(java.lang.String[] requiredVariables,
                                          EModel model,
                                          java.util.Map mangledMap,
                                          TestLogger logger)

### getVarInitialValue

    protected double getVarInitialValue(java.lang.String varName)

### almostEqual

    public static boolean almostEqual(double a,
                                      double b)

### significantlyDiffer

    public static boolean significantlyDiffer(double a,
                                              double b)

### getMangledName

    public static java.lang.String getMangledName(java.lang.String name)

### getMangledNamesMap

    public static java.util.Map getMangledNamesMap(java.util.Map variableMap)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.